<?php

require_once 'HTML/QuickForm.php';
require_once 'HTML/QuickForm/advmultiselect2.php';

$form = new HTML_QuickForm('multiselect7');

$fruit_array = array(
    'apple'     =>  'Apple',
    'orange'    =>  'Orange',
    'pear'      =>  'Pear',
    'banana'    =>  'Banana',
    'cherry'    =>  'Cherry',
    'kiwi'      =>  'Kiwi',
    'lemon'     =>  'Lemon',
    'lime'      =>  'Lime',
    'tangerine' =>  'Tangerine',
);

$fruit_attributes = array_keys($fruit_array);
$fruit_attributes = array_flip($fruit_attributes);

foreach ($fruit_attributes as $key => $val) {
    $aclass = array('class' => 'icons',
                    'onmouseover' => "this.className='over'",
                    'onmouseout'  => "this.className='icons'"
                   );
    $avalue = array();

    if ($key == 'pear') {
        $avalue = array('disabled' => 'disabled');

    } elseif ($key == 'lemon') {
        $avalue = array('class' => 'goldstar',
                        'onmouseout'  => "this.className='goldstar'");

    } elseif ($key == 'tangerine') {
        $avalue = array('style' => 'background-color:yellow; color:black;');
    }

    $fruit_attributes[$key] = array_merge($aclass, $avalue);
}

// rendering with QF renderer engine and template system
$form->addElement('header', null, 'Advanced Multiple Select: custom layout ');

$form->addElement('text', 'name', 'Name:', array('size' => 40, 'maxlength' => 80));

$pool =& $form->addElement('advmultiselect2', 'fruit', null, null,
                           array('class' => 'pool')
);
$pool->load($fruit_array, null, $fruit_attributes);

$pool->setLabel(array('Fruit:', 'Available', 'Selected'));

if ($_SERVER['REQUEST_METHOD'] == 'GET') {
    $form->setDefaults(array('fruit' => array('kiwi','lime')));

} elseif (isset($_POST['fruit'])) {
    $form->setDefaults(array('fruit' => $_POST['fruit']));
}

$form->addElement('submit', 'send', 'Send');

$form->addRule('name', 'Your name is required', 'required');
$form->addRule('fruit', 'At least one fruit is required', 'required');

$form->applyFilter('__ALL__', 'trim');
$form->applyFilter('__ALL__', 'strip_tags');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3c.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>HTML_QuickForm::advMultiSelect example 7</title>
<style type="text/css">
<!--
body {
  background-color: #FFF;
  font-family: Verdana, Arial, helvetica;
  font-size: 10pt;
}

table.pool {
  border: 0;
  background-color: lightyellow;
}
table.pool th {
  font-size: 80%;
  font-style: italic;
  text-align: center;
}

.inputCommand {
    background-color: #d0d0d0;
    border: 1px solid #7B7B88;
    width: 7em;
    margin-bottom: 2px;
}

<?php echo $pool->getElementCss(); ?>

label input {
  margin-right: 16px;
}
label.bluestar, label.goldstar {
  background-repeat: no-repeat;
  background-position: 20px center;
}
label.bluestar{
  background-image: url(bluestar-12.gif) ;
}
label.goldstar {
  background-image: url(goldstar-12.gif) ;
}

label.over {
  background-color: #0a246a;
  color: #fff;
}
// -->
</style>
</head>
<body>
<?php
if ($form->validate()) {
    $clean = $form->getSubmitValues();

    echo '<pre>';
    print_r($clean);
    echo '</pre>';

    printf("<p>Welcome <b>%s</b> you've selected these fruits:</p>", $clean['name']);
    echo implode(', ', $clean['fruit']);
}
$form->display();
?>
</body>
</html>